Bug 1734907 - Resuming a read only file fails because its prematurely set read-only
Summary: Resuming a read only file fails because its prematurely set read-only
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: filezilla
Version: 34
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 16:39 UTC by Erik Johnson
Modified: 2021-02-09 16:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:08:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Erik Johnson 2019-07-31 16:39:39 UTC
Description of problem:
Interrupted downloading of read-only files fails to resume because incomplete local file is not writeable (read-only)


Version-Release number of selected component (if applicable):
3.4.0

How reproducible:
100%

Steps to Reproduce:
1. Download read only file.
2. Cancel/stop processing queue
3. Re-download with resume

Actual results:
Partial file has remote file access mode
local: unable to open X, read-only

Expected results:
- Local partial file has current user/group and default r/w permissions
- Download continues
- When download is actually completes, user/group and access mode is matched to file on remote server

Additional info:

Comment 1 Gwyn Ciesla 2019-07-31 18:59:13 UTC
That's not a recent version, did you mean 3.43.0?

Comment 2 Erik Johnson 2019-07-31 20:55:06 UTC
(In reply to Gwyn Ciesla from comment #1)
> That's not a recent version, did you mean 3.43.0?

Yes, sorry

Comment 3 Gwyn Ciesla 2019-08-01 13:19:27 UTC
Submitted upstream.
https://trac.filezilla-project.org/ticket/11966

Comment 4 Ben Cotton 2019-08-13 17:12:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:37:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Ben Cotton 2020-11-03 17:12:55 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-11-24 20:08:41 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Ben Cotton 2021-02-09 16:20:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.